Mailinglist Archive: opensuse-security-announce (36 mails)

< Previous Next >
[security-announce] openSUSE-SU-2015:2100-1: important: Security update for libpng16
openSUSE Security Update: Security update for libpng16
______________________________________________________________________________

Announcement ID: openSUSE-SU-2015:2100-1
Rating: important
References: #954980
Cross-References: CVE-2015-8126
Affected Products:
openSUSE 13.2
openSUSE 13.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

The libpng16 package was updated to fix the following security issues:

- CVE-2015-8126: Fixed a buffer overflow vulnerabilities in
png_get_PLTE/png_set_PLTE functions (bsc#954980).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-801=1

- openSUSE 13.1:

zypper in -t patch openSUSE-2015-801=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

libpng16-16-1.6.13-2.7.1
libpng16-16-debuginfo-1.6.13-2.7.1
libpng16-compat-devel-1.6.13-2.7.1
libpng16-debugsource-1.6.13-2.7.1
libpng16-devel-1.6.13-2.7.1
libpng16-tools-1.6.13-2.7.1
libpng16-tools-debuginfo-1.6.13-2.7.1

- openSUSE 13.2 (x86_64):

libpng16-16-32bit-1.6.13-2.7.1
libpng16-16-debuginfo-32bit-1.6.13-2.7.1
libpng16-compat-devel-32bit-1.6.13-2.7.1
libpng16-devel-32bit-1.6.13-2.7.1

- openSUSE 13.1 (i586 x86_64):

libpng16-16-1.6.6-19.1
libpng16-16-debuginfo-1.6.6-19.1
libpng16-compat-devel-1.6.6-19.1
libpng16-debugsource-1.6.6-19.1
libpng16-devel-1.6.6-19.1
libpng16-tools-1.6.6-19.1
libpng16-tools-debuginfo-1.6.6-19.1

- openSUSE 13.1 (x86_64):

libpng16-16-32bit-1.6.6-19.1
libpng16-16-debuginfo-32bit-1.6.6-19.1
libpng16-compat-devel-32bit-1.6.6-19.1
libpng16-devel-32bit-1.6.6-19.1


References:

https://www.suse.com/security/cve/CVE-2015-8126.html
https://bugzilla.suse.com/954980

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages